#### D.2.12.20 hasMixedOrdering

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasMixedOrdering();

Return:
  1 if ordering of basering is mixed, 0 else

Example:

    LIB "ring.lib";
    ring R1 = 0,(x,y,z),dp;
    hasMixedOrdering();
    ==> 0
    ring R2 = 31,(x(1..4),y(1..3)),(ds(4),lp(3));
    hasMixedOrdering();
    ==> 1
    ring R3 = 181,x(1..9),(dp(5),lp(4));
    hasMixedOrdering();
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.